
public class Collector
{
    private int _itemsHeld;
    private boolean _bigTimeCollector;

    public Collector(int itemsHeld, boolean bigTimeCollector)
    {
        _itemsHeld = itemsHeld;
        _bigTimeCollector = bigTimeCollector;
    }

    public int collectionCount()
    {
        return _itemsHeld;
    }

    public boolean isBigTime()
    {
        return _bigTimeCollector;
    }

    public void sell(int quantity)
    {
        _itemsHeld -= quantity;
    }

    public void buy(int quantity)
    {
        _itemsHeld += quantity;
    }
}
